<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2001, 2002
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page import="java.util.*" %>
<%@ page import="java.math.*" %>
<%@ page import="javax.servlet.*" %>
<%@ page import="javax.ejb.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.payment.beans.*" %>
<%@ page import="com.ibm.commerce.price.beans.FormattedMonetaryAmountDataBean" %>
<%@ page import="com.ibm.commerce.contract.beans.ContractDataBean" %>
<%@ page import="com.ibm.commerce.webcontroller.ControllerCmdExecUnit" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.fulfillment.commands.*" %>
<%@ page import="com.ibm.commerce.fulfillment.objects.*" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="com.mycompany.award.*" %>
<%@ page import="com.ibm.commerce.contract.objects.*" %>


<%@ include file="include/GetResource.jsp"%>

<jsp:useBean id="bnError" class="com.ibm.commerce.beans.ErrorDataBean" scope="page">
<% com.ibm.commerce.beans.DataBeanManager.activate(bnError, request); %>
</jsp:useBean>

<%
try {
	// get the parameters
	JSPHelper jhelper = new JSPHelper(request);

	String storeId = (cmdcontext.getStoreId()).toString();
	String languageId = jhelper.getParameter("langId");
	String paymentMethod = jhelper.getParameter("paymentMethod");

	// find the pending orders for this buyer
	OrderListDataBean orderListBean = new OrderListDataBean();
	orderListBean.setStoreId(new Integer(storeId));
	orderListBean.setOrderStatus("P");
	orderListBean.setUserId(cmdcontext.getUserId());
	com.ibm.commerce.beans.DataBeanManager.activate(orderListBean, request);
	Vector orders = orderListBean.getOrders();
	int liveHelpShoppingCartItems = 0;  //Order Items count for LiveHelp.  Cannot be put into flow tags or else page won't compile.
	OrderItemDataBean orderItem = null;
	OrderItemDataBean [] orderItems = null;
	
	String strErrorMessageKey = "";
	String strErrorCode = "";
	String strErrorMessage = null;
	TypedProperty hshErrorProperties = bnError.getExceptionData();
	strErrorMessageKey = bnError.getMessageKey().trim();

// If there is an error indicating that the orderitems within the order fail to share a common payment method within its contracts
if (hshErrorProperties != null && strErrorMessageKey.equals("_ERR_TRADINGS_INCOMPATIBLE_ACCOUNT_PAYMENT"))
{
	strErrorMessage = tooltechtext.getString("YourOrder_Err_Incompatible_contract_general");
}

// If there is an error indicating that the input was invalid
if (hshErrorProperties != null && strErrorMessageKey.equals("_ERR_INVALID_INPUT"))
{

	strErrorMessage = tooltechtext.getString("YourOrder_Quantity_Input_Error");


}

%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<html>
<HEAD>
	<TITLE><%=tooltechtext.getString("YourOrder_Title") %></TITLE>
	<LINK REL=stylesheet HREF="<%=fileDir%>ToolTech.css" TYPE="text/css">
</HEAD>

<script language="javascript">

	function checkContractId(object) {
    	   
    	   	var contraceId;
    	   	
    		for (var i = 0;i < object.length;i++)
		{
			if (object.options[i].selected == true) 
				return(object.options[i].value);
	    	}
	    	return "0";
	}
	<%
	/* 
	   The 'orderItemId*=&quantity*=&...' used in the URL value below prevents the parameters from being passed to 
	   the next redirection URL.  Without this, the parameter list would be too long and would be unable to 
	   handle orders that have too many orderitems.
	*/ 
	%>
	
	function updateForm(form)
	{
		form.URL.value = 'OrderItemDisplay?orderId=*&orderItemId*=&quantity*=&contract*=';
		form.submit();
	}

	function submitForm(form)
	{
		form.URL.value = 'OrderItemDisplay?page=shipmethod&orderItemId*=&quantity*=&contract*=';
		if (form.paymentMethod.options[0]==null)
			alert("<%=tooltechtext.getString("YourOrder_Err_Payment")%>")
		else
			form.submit()
	}

	function submitReqListForm(form)
	{	
		form.name.value = form.name.value.replace(/^\s+/g, "");
      
		if (form.name.value == '')
         			alert("<%=tooltechtext.getString("Newreq_Error_Name")%>")
  		else
         			form.submit()
	}
	
</script>



<BODY MARGINHEIGHT="0" MARGINWIDTH="0" LEFTMARGIN="0" TOPMARGIN="0">
<flow:ifEnabled feature="customerCare">
<%
// Set header type needed for this JSP for LiveHelp.  This must
// be set before NavHeader.jsp
request.setAttribute("liveHelpPageType", "personal");
%>
</flow:ifEnabled>

<%
String incfile;
incfile = includeDir + "NavHeader.jsp";
%>
<jsp:include page="<%=incfile%>" flush="true"/>  


<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%" HEIGHT="99%">
<TR>
	<TD VALIGN="top" BGCOLOR="#4c6178" WIDTH="160"> 

		<%
		incfile = includeDir + "NavSideBar.jsp";
		%>
		<jsp:include page="<%=incfile%>" flush="true"/>

	</TD>

	<TD valign="top" width="99%">

	<!-- content start -->

	<%
	 
		// find the applicable payment methods
		UsablePaymentTCListDataBean usablePaymentTC = new UsablePaymentTCListDataBean();
		usablePaymentTC.setOrderId(new Long(((OrderAccessBean) orders.elementAt(0)).getOrderId()));
		com.ibm.commerce.beans.DataBeanManager.activate(usablePaymentTC, request);
		PaymentTCInfo[] paymentTCInfo = usablePaymentTC.getPaymentTCInfo();
/*
		if (paymentTCInfo == null) out.println("getPaymentTCInfo() returned null");
	for (int i=0; i<paymentTCInfo.length; i++) {
		System.out.println("================");
		System.out.println("PaymentTCInfo " + i + ": ");
		System.out.println(paymentTCInfo[i].getTCDisplayName());
		System.out.println(paymentTCInfo[i].getTCId());
		System.out.println(paymentTCInfo[i].getTCSubType());
		System.out.println(paymentTCInfo[i].getTCAttrString());
		System.out.println(paymentTCInfo[i].getPolicyId());
		System.out.println(paymentTCInfo[i].getPolicyName());
		System.out.println(paymentTCInfo[i].getPolicyType());
		System.out.println(paymentTCInfo[i].getStoreEntityId());
		System.out.println(paymentTCInfo[i].getShortDescription());
		System.out.println("Long Desc" + paymentTCInfo[i].getLongDescription());
		System.out.println(paymentTCInfo[i].getBrand());
		System.out.println(paymentTCInfo[i].getOfflineMethod());
		System.out.println(paymentTCInfo[i].getSupportedCurrencies());
		System.out.println(paymentTCInfo[i].getCassetteName());
		System.out.println(paymentTCInfo[i].getAttrPageName());
		System.out.println(paymentTCInfo[i].getCashierProfile());
	}
*/	
	%>
					<TABLE CELLPADDING="8" CELLSPACING="0" BORDER="0">
						<TR>
							<TD>
								<p><H1><%= tooltechtext.getString("YourOrder_Title") %></H1>
								<%
								if (strErrorMessage != null)
								{
									//We have error message.
									%>
									<p><font color="red"><%=strErrorMessage%></font><br><br></p>
									<%
								}
								%>
									<form name="ShopCartForm" action="OrderItemUpdate" method="POST">
										<input type=hidden name="check" value="*n">
										<input type=hidden name="merge" value="*n">
										<input type=hidden name="remerge" value="*n">
										<input type=hidden name="reverse" value="*n">
										<input type=hidden name="allocate" value="*n">
										<input type=hidden name="backorder" value="*n">
										<input type=hidden name="orderId" value="*">
										<input type=hidden name="URL" value="OrderItemDisplay">

										<table cellpadding="0" cellspacing="0" border="0" width="100%">
										<tr>
											<td align="right">
											
												<table cellpadding="0" cellspacing="0" border="0">
												<tr>	
													<td bgcolor="#ff2d2d" class="pixel"><img src="<%=fileDir%>images/lb.gif" border="0"/></td>
													<td bgcolor="#ff2d2d" class="pixel"><img src="<%=fileDir%>images/lb.gif" border="0"/></td>
													<td class="pixel"><img src="<%=fileDir%>images/r_top.gif" border="0"/></td>
												</tr>
												<tr>
													<td bgcolor="#ff2d2d"><img alt="" src="<%=fileDir%>images/lb.gif" border="0"/></td>
													<td bgcolor="#ea2b2b">
														<table cellpadding="2" cellspacing="0" border="0">
														<tr>
															<td class="buttontext">
																<font color="#ffffff"><b>
																<a href="javascript:updateForm(document.ShopCartForm)"  style="color:#ffffff; text-decoration : none;">
																<%= tooltechtext.getString("YourOrder_Update") %>
																</a>
																</b></font>
															</td>
														</tr>
														</table>
													</td>
													<td bgcolor="#7a1616"><img alt="" src="<%=fileDir%>images/db.gif" border="0"/></td>
												</tr>	
												<tr>
													<td class="pixel"><img src="<%=fileDir%>images/l_bot.gif"/></td>
													<td bgcolor="#7a1616" class="pixel" valign="top"><img src="<%=fileDir%>images/db.gif" border="0"/></td>
													<td bgcolor="#7a1616" class="pixel" valign="top"><img src="<%=fileDir%>images/db.gif" border="0"/></td>
												</tr>
												</table>
											</td>
										</tr>
										</table>
										<br>
										<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" width="100%" bgcolor="#4C6178">
											<TR><TD>
													<TABLE WIDTH="100%" BORDER="0" CELLPADDING="2" CELLSPACING="1">
														<TR bgcolor="#4C6178">
															<TD>
																<TABLE>
																	<TR>
																		<TD VALIGN="TOP"><font style="font-family : Verdana;" color="#FFFFFF"><strong><%= tooltechtext.getString("YourOrder_Quantity") %></strong></font></TD>
																	</TR>
																</TABLE>
															</TD>
															<TD>
																<TABLE>
																	<TR>
																		<TD VALIGN="TOP"><font style="font-family : Verdana;" color="#FFFFFF"><strong><%= tooltechtext.getString("YourOrder_SKU") %></strong></font></TD>
																	</TR>
																</TABLE>
															</TD>
															<TD>
																<TABLE>
																	<TR>
																		<TD VALIGN="TOP"><font style="font-family : Verdana;" color="#FFFFFF"><strong><%= tooltechtext.getString("YourOrder_Name") %></strong></font></TD>
																	</TR>
																</TABLE>
															</TD>
															<td >
																<TABLE>
																	<TR>
																		<TD><font style="font-family : Verdana;" color="#FFFFFF"><strong><%= tooltechtext.getString("YourOrder_Man") %></strong></font></TD>
																	</TR>
																</TABLE>
															</TD>
															<TD>
																<TABLE>
																	<TR>
																		<TD VALIGN="TOP"><font style="font-family : Verdana;" color="#FFFFFF"><strong><%= tooltechtext.getString("YourOrder_Part") %></strong></font></TD>
																	</TR>
																</TABLE>
															</TD>
															<TD>
																<TABLE>
																	<TR>
																		<TD VALIGN="TOP"><font style="font-family : Verdana;" color="#FFFFFF"><strong><%= tooltechtext.getString("Details_Col9") %></strong></font></TD>
																	</TR>
																</TABLE>
															</TD>
															<TD>
																<TABLE>
																	<TR>
																		<TD VALIGN="TOP"><font style="font-family : Verdana;" color="#FFFFFF"><strong><%= tooltechtext.getString("YourOrder_Total") %></strong></font></TD>
																	</TR>
																</TABLE>
															</TD>
															<TD>
																<TABLE>
																	<TR>
																		<TD VALIGN="TOP"></TD>
																	</TR>
																</TABLE>
															</TD>
														</TR>
<%

	int counter = 0;
	int j = 0;
	FormattedMonetaryAmountDataBean formattedTotalPrice = null;
	FormattedMonetaryAmountDataBean formattedAmount = null; 
	// For each order 
	String orderRn = "";
	for (int i = 0; i < orders.size(); i++) {

		OrderAccessBean order = (OrderAccessBean) orders.elementAt(i);
		OrderDataBean orderBean = new OrderDataBean();
		orderBean.setOrderId(order.getOrderId());
		orderRn = order.getOrderId();

		com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request);
		orderItems = orderBean.getOrderItemDataBeans();
		
		for (j = 0; ((orderItems != null) && (j < orderItems.length)); j++) {
			orderItem = orderItems[j];
			counter += 1;
%>
			<flow:ifEnabled feature="customerCare">
			<%
				liveHelpShoppingCartItems+= orderItem.getQuantityInEJBType().intValue();
			%>
			</flow:ifEnabled>
			

														<input type=hidden name="orderItemId_<%=counter%>" value="<%=orderItem.getOrderItemId()%>" >

														<TR bgcolor="<%if (j % 2 == 0) {%><%="#ffffff"%><%} else {%><%="#bccbdb"%><%}%>">
															<TD align="center" rowspan="2"><input type="text" name="quantity_<%=counter%>" size="2" value="<%=orderItem.getQuantityInEJBType().intValue()%>"></TD>
															<TD rowspan="2"><%=orderItem.getCatalogEntry().getPartNumber()%></TD>
															<TD rowspan="2">
																<a href="ProductDisplay?productId=<%=orderItem.getCatalogEntryId()%>"><%=orderItem.getCatalogEntry().getDescription(cmdcontext.getLanguageId()).getShortDescription()%></a><BR>
																<font style="font-family : Verdana;font-size : 8pt;" size="#32404F">
																<% // Loop through all the attributes and print them out                                                                              
								    
																com.ibm.commerce.catalog.beans.ItemDataBean item = new ItemDataBean();
																item.setItemID(orderItem.getCatalogEntryId());
																com.ibm.commerce.beans.DataBeanManager.activate (item, request);
											
																AttributeValueDataBean attrvalue[];
																attrvalue = item.getAttributeValueDataBeans(new Integer(languageId));
																AttributeDataBean attribute[] = new AttributeDataBean[attrvalue.length];
																for (int x=0; x<attrvalue.length; x++)
																{
																	attribute[x] = attrvalue[x].getAttributeDataBean();
																	%>
																	<strong><%=attribute[x].getName()%>:  </strong><%=attrvalue[x].getValue()%><BR>
																	<%
																}          
																%> 
																</font>
															</TD>
															<TD><%=orderItem.getCatalogEntry().getManufacturerName()%></TD>
															<TD><%=orderItem.getCatalogEntry().getManufacturerPartNumber()%></TD>
															<TD><FONT class="price"><%=orderItem.getPriceDataBean()%></FONT></TD>
															<TD align="right"><FONT class="price"><%=orderItem.getFormattedTotalProduct()%></FONT></TD>
															<TD><A HREF="OrderItemDelete?orderItemId=<%=orderItem.getOrderItemId()%>&URL=OrderItemDisplay&orderId=*"><%=tooltechtext.getString("YourOrder_Remove")%></A></TD>
														</TR>
														<TR>
															<TD bgcolor="<%if (j % 2 == 0) {%><%="#ffffff"%><%} else {%><%="#bccbdb"%><%}%>" colspan="5" align="right">
																<TABLE cellspacing="2">
																<TR>
																	<TD><strong><%= tooltechtext.getString("YourOrder_Contract") %></strong>
																	</TD>
																	<TD>&nbsp;</TD>
																	<TD>
																		<SELECT name="contractId_<%=counter%>">
																		<% 
																			// begin select contracts
																			String[] contractIds = cmdcontext.getEligibleTradingAgreementIds();
																			for (int k=0; k < contractIds.length; k += 1)
																			{
																				ContractDataBean contractDataBean = new ContractDataBean();
																				contractDataBean.setDataBeanKeyReferenceNumber(contractIds[k]);
																				DataBeanManager.activate(contractDataBean, request);
																				String sel = "";
																				if (contractIds[k].equals(orderItem.getContractId())){
																					sel = "selected";	
																				}
			
																		%>
																					<OPTION value="<%=contractIds[k]%>" <%= sel %>><%=contractDataBean.getName()%></OPTION>
																		<%
																			} // end for
																		%>
																		</SELECT>
																	</TD>
																	<TD>&nbsp;</TD>
																</TR>
																</TABLE>
															</TD>
														</TR>

<%
		}  // end for j

		if (i == 0) {
			formattedTotalPrice = orderBean.getFormattedTotalProductPrice();
		} else {
			formattedAmount = orderBean.getFormattedTotalProductPrice(); 
			formattedTotalPrice.setAmount(formattedAmount.getAmount().add(formattedTotalPrice.getAmount()));
		}

	} // end for i
%>
														<TR bgcolor="<%if (j % 2 == 0) {%><%="#ffffff"%><%} else {%><%="#bccbdb"%><%}%>">
															<TD colspan="6" align="right"><strong><%= tooltechtext.getString("YourOrder_Sub") %></strong></TD>
															<TD align="right"><strong><FONT class="price"><%= formattedTotalPrice %></FONT></strong></TD>
															<TD>&nbsp;</TD>
														</TR>
													</TABLE>
												</TD>
											</TR>
										</TABLE>
									<P></P>
									<table cellpadding="0" cellspacing="0" border="0" width="100%">
										<tr>
											<td align="right">
											
												<table cellpadding="0" cellspacing="0" border="0">
												<tr>	
													<td bgcolor="#ff2d2d" class="pixel"><img src="<%=fileDir%>images/lb.gif" border="0"/></td>
													<td bgcolor="#ff2d2d" class="pixel"><img src="<%=fileDir%>images/lb.gif" border="0"/></td>
													<td class="pixel"><img src="<%=fileDir%>images/r_top.gif" border="0"/></td>
												</tr>
												<tr>
													<td bgcolor="#ff2d2d"><img alt="" src="<%=fileDir%>images/lb.gif" border="0"/></td>
													<td bgcolor="#ea2b2b">
														<table cellpadding="2" cellspacing="0" border="0">
														<tr>
															<td class="buttontext">
																<font color="#ffffff"><b>
																<a href="javascript:updateForm(document.ShopCartForm)"  style="color:#ffffff; text-decoration : none;">
																<%= tooltechtext.getString("YourOrder_Update") %>
																</a>
																</b></font>
															</td>
														</tr>
														</table>
													</td>
													<td bgcolor="#7a1616"><img alt="" src="<%=fileDir%>images/db.gif" border="0"/></td>
												</tr>	
												<tr>
													<td class="pixel"><img src="<%=fileDir%>images/l_bot.gif"/></td>
													<td bgcolor="#7a1616" class="pixel" valign="top"><img src="<%=fileDir%>images/db.gif" border="0"/></td>
													<td bgcolor="#7a1616" class="pixel" valign="top"><img src="<%=fileDir%>images/db.gif" border="0"/></td>
												</tr>
												</table>											
											</td>
										</tr>
									</table>
									
			<%
			Long userId = cmdcontext.getUserId();
			%>	
			<h3> Available Award Points for user #: <%=userId%> </h3> 
			<%
			String[] contractIds = cmdcontext.getEligibleTradingAgreementIds();
			for (int k=0; k < contractIds.length; k += 1)
			{
				ContractDataBean contractDataBean = new ContractDataBean();
				contractDataBean.setDataBeanKeyReferenceNumber(contractIds[k]);
				DataBeanManager.activate(contractDataBean, request);
				
				String contractName = contractDataBean.getName();
				
				TermConditionAccessBean[] tcs_red = contractDataBean.getTCsByTCSubType("AwardRedemptionTC");
				TermConditionAccessBean[] tcs_col = contractDataBean.getTCsByTCSubType("AwardCollectionTC");
				if ((tcs_red != null) && (tcs_red.length != 0) && (tcs_col != null) && (tcs_col.length != 0)) {
					// get the AwardRedemptionTC
					AwardRedemptionTCAccessBean abAwardRedemptionTC = new AwardRedemptionTCAccessBean();
					abAwardRedemptionTC.setInitKey_referenceNumber(tcs_red[0].getReferenceNumber());
					
					String cur_red = abAwardRedemptionTC.getCurrency();
					BigDecimal amount_red = abAwardRedemptionTC.getValueInEJBType();
					Integer points_red = abAwardRedemptionTC.getPointInEJBType();

					// get the AwardCollectionTC
					AwardCollectionTCAccessBean abAwardCollectionTC = new AwardCollectionTCAccessBean();
					abAwardCollectionTC.setInitKey_referenceNumber(tcs_col[0].getReferenceNumber());
					
					String cur_col = abAwardCollectionTC.getCurrency();
					BigDecimal amount_col = abAwardCollectionTC.getValueInEJBType();
					Integer points_col = abAwardCollectionTC.getPointInEJBType();
					
					String ava_point = new String("0");
					try {
						AwardDataBean awardDataBean = new AwardDataBean();
						awardDataBean.setTradingId(contractIds[k]);
						awardDataBean.setMemberId(userId.toString());
						DataBeanManager.activate(awardDataBean, request);
						ava_point = awardDataBean.getPoint();
					} catch (Exception e) {
						//out.println(e);
						//continue;
					}
					
			%>
					Contract name: <%=contractName%> <br> 
					Available points: <%=ava_point%> <br>
					<li>point redemption exchange rate: <%=points_red%> for <%=amount_red.setScale(2)%> <%=cur_red%></li>
					<li>point collection exchange rate: <%=points_col%> for <%=amount_col.setScale(2)%> <%=cur_col%></li>
					<br>
			<%
				}
				
			} // end for
			%>
									<p>
									<%= tooltechtext.getString("YourOrder_Payment") %><br>
									<br>
									<A name="paymentMethod"><SELECT name="paymentMethod">
									<%
									String payMethodDesc = null; 
									String payPolicyIdAndBrand = null;                                 // used as the paymentMethod Parameter
									String selected = "";
									for (int i = 0; i < paymentTCInfo.length; i++) {
										payMethodDesc = paymentTCInfo[i].getShortDescription();
										payPolicyIdAndBrand = paymentTCInfo[i].getPolicyId() + paymentTCInfo[i].getBrand();   // the policyIdAndBrand will uniquely identify a CreditCard
										if ((paymentMethod != null) && (paymentMethod.equals(payPolicyIdAndBrand))){
											selected = "selected";	
										} else {
											selected = "";	
										}
									%>
										<option value="<%=payPolicyIdAndBrand%>" <%=selected%>><%=payMethodDesc%></option>
									<%
									}
									%>
									</SELECT></A><br>

									</form>
									<br>

									<table cellpadding="0" cellspacing="0" border="0">
										<tr>
											<td>
												<table cellpadding="0" cellspacing="0" border="0">
												<tr>	
													<td bgcolor="#ff2d2d" class="pixel"><img src="<%=fileDir%>images/lb.gif" border="0"/></td>
													<td bgcolor="#ff2d2d" class="pixel"><img src="<%=fileDir%>images/lb.gif" border="0"/></td>
													<td class="pixel"><img src="<%=fileDir%>images/r_top.gif" border="0"/></td>
												</tr>
												<tr>
													<td bgcolor="#ff2d2d"><img alt="" src="<%=fileDir%>images/lb.gif" border="0"/></td>
													<td bgcolor="#ea2b2b">
														<table cellpadding="2" cellspacing="0" border="0">
														<tr>
															<td class="buttontext">
																<font color="#ffffff"><b>
																<a href="javascript:submitForm(document.ShopCartForm)"  style="color:#ffffff; text-decoration : none;">
																<%= tooltechtext.getString("YourOrder_Submit") %>&gt;
																</a>
																</b></font>
															</td>
														</tr>
														</table>
													</td>
													<td bgcolor="#7a1616"><img alt="" src="<%=fileDir%>images/db.gif" border="0"/></td>
												</tr>	
												<tr>
													<td class="pixel"><img src="<%=fileDir%>images/l_bot.gif"/></td>
													<td bgcolor="#7a1616" class="pixel" valign="top"><img src="<%=fileDir%>images/db.gif" border="0"/></td>
													<td bgcolor="#7a1616" class="pixel" valign="top"><img src="<%=fileDir%>images/db.gif" border="0"/></td>
												</tr>
												</table>											
												<br>
												<br>
												<br>
												<br>
												<P><%= tooltechtext.getString("YourOrder_Message1") %><br>
													<br>
													
													<form name="requisitionListForm" action="RequisitionListCopy">
													<input type=hidden name="URL" value="RequisitionListUpdateView">
													<input type=hidden name="orderId" value="<%=orderRn%>">
													<%= tooltechtext.getString("YourOrder_ReqListName") %><br>
													<input type="text" name="name" size="30">
													<br><br>
													<table cellpadding="0" cellspacing="0" border="0">
													<tr>
														<td>
														
															<table cellpadding="0" cellspacing="0" border="0">
															<tr>	
																<td bgcolor="#ff2d2d" class="pixel"><img src="<%=fileDir%>images/lb.gif" border="0"/></td>
																<td bgcolor="#ff2d2d" class="pixel"><img src="<%=fileDir%>images/lb.gif" border="0"/></td>
																<td class="pixel"><img src="<%=fileDir%>images/r_top.gif" border="0"/></td>
															</tr>
															<tr>
																<td bgcolor="#ff2d2d"><img alt="" src="<%=fileDir%>images/lb.gif" border="0"/></td>
																<td bgcolor="#ea2b2b">
																	<table cellpadding="2" cellspacing="0" border="0">
																	<tr>
																		<td class="buttontext">
																			<font color="#ffffff"><b>
																			<a href="javascript:submitReqListForm (document.requisitionListForm)" style="color:#ffffff; text-decoration : none;">
																			<%= tooltechtext.getString("YourOrder_Button1") %>
																			</a>
																			</b></font>
																		</td>
																	</tr>
																	</table>
																</td>
																<td bgcolor="#7a1616"><img alt="" src="<%=fileDir%>images/db.gif" border="0"/></td>
															</tr>	
															<tr>
																<td class="pixel"><img src="<%=fileDir%>images/l_bot.gif"/></td>
																<td bgcolor="#7a1616" class="pixel" valign="top"><img src="<%=fileDir%>images/db.gif" border="0"/></td>
																<td bgcolor="#7a1616" class="pixel" valign="top"><img src="<%=fileDir%>images/db.gif" border="0"/></td>
															</tr>
															</table>
														</td>
													</tr>
													</table>
											    		</form>
											</TD>
										</TR>
									</TABLE>
							</TD>
							</TR>
						</TABLE>
		<!--content end--> 

	</TD>
</TR>
</TABLE>

</BODY>

<flow:ifEnabled feature="customerCare">
	<script language="javascript">
		if (typeof parent.setCustomerName == 'function')
			parent.setCustomerName(<%=cmdcontext.getUserId()%>, parent.CustomerName);
		if (typeof parent.setShoppingCartItems == 'function')
			parent.setShoppingCartItems(<%=liveHelpShoppingCartItems%>);
	</script>
</flow:ifEnabled>


<%
	} catch (Exception ex) {
		System.err.println("In Exception: " + ex.getMessage());
		ex.printStackTrace();
	}

%>

</HTML>
