package com.ibm.commerce.contract.objimpl;

//********************************************************************
//*-------------------------------------------------------------------
//* Sample Source
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2002
//*
//* The source code for this program is not published or otherwise
//* divested of its trade secrets, irrespective of what has been
//* deposited with the US Copyright Office.
//*
//*--------------------------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its reliability, 
//* serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands and products 
//* in order to illustrate concepts as completely as possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by actual persons 
//* or business enterprises is entirely coincidental.
//*--------------------------------------------------------------------------------------

import java.util.*;
import org.w3c.dom.*;
import com.ibm.commerce.contract.helper.*;
import com.ibm.commerce.contract.objects.*;

public class AwardCollectionTCBeanImpl extends com.ibm.commerce.contract.objects.TermConditionBean {
	final static long serialVersionUID = 3206093459760846163L;
	public String currency;
	public Integer point;
	public java.math.BigDecimal value;
public Long createNewVersion(Long argNewTradingId)
    throws
        javax.ejb.CreateException,
        javax.ejb.FinderException,
        java.rmi.RemoteException,
        javax.naming.NamingException,
        javax.ejb.RemoveException,
        org.xml.sax.SAXException, 
        java.io.IOException 
{
	// Contract a seqElement since tcSequence can not be null
	Element seqElement = ContractUtil.getSeqElementFromTCSequence(this.tcSequence);
	AwardCollectionTCAccessBean newTC = new AwardCollectionTCAccessBean(argNewTradingId, seqElement);

	Long newTCId = newTC.getReferenceNumberInEJBType();
	newTC.setInitKey_referenceNumber(newTCId.toString());
	newTC.setMandatoryFlag(this.mandatoryFlag);
	newTC.setChangeableFlag(this.changeableFlag);
	// set columns for this specific TC
	newTC.setCurrency(getCurrency());
	newTC.setValue(this.value);
	newTC.setPoint(this.point);
	newTC.commitCopyHelper();
	
	return newTCId;
}	
/**
 * ejbCreate method for a CMP entity bean
 * @param argTradingId java.lang.Long
 * @param argElement org.w3c.dom.Element
 * @exception javax.ejb.CreateException The exception description.
 * @exception java.rmi.RemoteException The exception description.
 * @exception javax.ejb.FinderException The exception description.
 * @exception javax.naming.NamingException The exception description.
 * @exception javax.ejb.RemoveException The exception description.
 */
public void ejbCreate(java.lang.Long argTradingId, org.w3c.dom.Element argElement)
throws javax.ejb.CreateException, javax.ejb.FinderException, java.rmi.RemoteException, javax.naming.NamingException, javax.ejb.RemoveException {
	_initLinks(); 
	super.ejbCreate (argTradingId, argElement);
	this.currency = null;
	this.value = null;
	this.point = null;
}
/**
 * ejbPostCreate method for a CMP entity bean
 * @param argTradingId java.lang.Long
 * @param argElement org.w3c.dom.Element
 * @exception java.rmi.RemoteException The exception description.
 * @exception javax.ejb.CreateException The exception description.
 * @exception javax.ejb.FinderException The exception description.
 * @exception javax.naming.NamingException The exception description.
 * @exception javax.ejb.RemoveException The exception description.
 */
public void ejbPostCreate(java.lang.Long argTradingId, org.w3c.dom.Element argElement) throws javax.ejb.CreateException, javax.ejb.FinderException, java.rmi.RemoteException, javax.naming.NamingException, javax.ejb.RemoveException 
{	
	parseXMLElement(argElement);
}

/**
 * Getter method for currency
 * @return java.lang.String
 */
public java.lang.String getCurrency() {
	return currency;
}
/**
 * Getter method for point
 * @return java.lang.Integer
 */
public java.lang.Integer getPoint() {
	return point;
}
/**
 * Getter method for value
 * @return java.math.BigDecimal
 */
public java.math.BigDecimal getValue() {
	return value;
}
public String getXMLString() throws javax.ejb.CreateException, javax.ejb.FinderException, java.rmi.RemoteException, javax.naming.NamingException 
{

	String xmlTC = 	
  								"      <AwardTC>" + System.getProperty("line.separator") +
								"         <AwardCollectionTC value = \"%VALUE%\" currency = \"%CURRENCY%\" point = \"%POINT%\"/>" + System.getProperty("line.separator") +
								"      </AwardTC>" + System.getProperty("line.separator");
		
	if ( this.value == null ) {
		xmlTC = ContractUtil.replace( xmlTC, "%VALUE%", "");
	} else {
		xmlTC = ContractUtil.replace( xmlTC, "%VALUE%", this.value.toString());
	}

	// currency might contain non-xml compatible data
	String xmlCurrency = ContractUtil.formatToXMLCompatibleData(getCurrency());
	xmlTC = ContractUtil.replace( xmlTC, "%CURRENCY%", xmlCurrency);
	
	if ( this.point == null ) {
		xmlTC = ContractUtil.replace( xmlTC, "%POINT%", "");
	} else {
		xmlTC = ContractUtil.replace( xmlTC, "%POINT%", this.point.toString());
	}
	return xmlTC;
}
/**
 * parseXMLElement method for a CMP entity bean
 * @param argElement org.w3c.dom.Element
 * @exception java.rmi.RemoteException The exception description.
 * @exception javax.ejb.CreateException The exception description.
 * @exception javax.ejb.FinderException The exception description.
 * @exception javax.naming.NamingException The exception description.
 * @exception javax.ejb.RemoveException The exception description.
 */
public void parseXMLElement(org.w3c.dom.Element argElement) throws javax.ejb.CreateException, javax.ejb.FinderException, java.rmi.RemoteException, javax.naming.NamingException, javax.ejb.RemoveException 
{	
	super.parseXMLElement(argElement);
		
    if (argElement == null)
        return;

    String nodeName = argElement.getNodeName();
    if (nodeName.equals("TCCopy"))
        return;

	
	// get element "AwardTC"
	Element eAwardTC = ContractUtil.getElementByTag(argElement, "AwardTC");

	// get element "AwardCollectionTC" from "AwardTC"
	Element eAwardCollectionTC = ContractUtil.getElementByTag(eAwardTC, "AwardCollectionTC");
	String strPoint = eAwardCollectionTC.getAttribute("point").trim();
	if (strPoint.equalsIgnoreCase("")) {
		this.point = null;
	} else {
		this.point = new Integer(strPoint);
	}

	setCurrency(ContractUtil.getAttributeValue(eAwardCollectionTC, ECContractConstants.EC_ATTR_CURRENCY));

	String strValue = eAwardCollectionTC.getAttribute(ECContractConstants.EC_ATTR_VALUE).trim();
	if ( strValue.equalsIgnoreCase("")) 
	{
		this.value = null;
	} else {
		this.value = new java.math.BigDecimal(strValue);
	}	
}

/**
 * Setter method for currency
 * @param newValue java.lang.String
 */
public void setCurrency(java.lang.String newValue) {
	this.currency = newValue;
}
/**
 * Setter method for point
 * @param newValue java.lang.Integer
 */
public void setPoint(java.lang.Integer newValue) {
	this.point = newValue;
}
/**
 * Setter method for value
 * @param newValue java.math.BigDecimal
 */
public void setValue(java.math.BigDecimal newValue) {
	this.value = newValue;
}
}
