package com.mycompany.award;

//********************************************************************
//*-------------------------------------------------------------------
//* Sample Source
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2002
//*
//* The source code for this program is not published or otherwise
//* divested of its trade secrets, irrespective of what has been
//* deposited with the US Copyright Office.
//*
//*--------------------------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its reliability, 
//* serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands and products 
//* in order to illustrate concepts as completely as possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by actual persons 
//* or business enterprises is entirely coincidental.
//*--------------------------------------------------------------------------------------

import com.ibm.commerce.exception.*;
import com.ibm.commerce.command.*;
import com.ibm.commerce.datatype.*;

/**
 * This data bean represents an award.
 */
public class AwardDataBean extends AwardDataBeanBase implements AwardSmartDataBean, AwardInputDataBean {
	private String iTradingId = null;
	private String iMemberId = null;
	protected CommandContext iCommandContext = null;
	protected TypedProperty iRequestProperties = null;
/**
 * Return the CommandContext
 */
public CommandContext getCommandContext() {
	return iCommandContext;

}
public String getMemberId() {
	return iMemberId;
}
/**
 * Gets the request property set within this bean.
 * @return com.ibm.commerce.datatype.TypedProperty
 */
public com.ibm.commerce.datatype.TypedProperty getRequestProperties() {
    return iRequestProperties;
}
public String getTradingId() {
	return iTradingId;
}
/**
 * populate the databean
 */
public void populate() throws Exception {
		// fetch attributes
	super.refreshCopyHelper();
}
/**
 * Set CommandContext.
 */
public void setCommandContext(CommandContext context) {
	iCommandContext = context;
}
public void setMemberId(String aMemberId) {
	iMemberId = aMemberId;
	setInitKey_memberId(aMemberId);
}
/**
 * Sets the request properties within this bean.
 * @param aRequestProperties com.ibm.commerce.datatype.TypedProperty
 * @exception javax.ejb.CreateException
 * @exception java.rmi.RemoteException
 * @exception javax.naming.NamingException
 * @exception javax.ejb.FinderException
 * @return void
 */
public void setRequestProperties(com.ibm.commerce.datatype.TypedProperty aRequestProperties) throws javax.ejb.CreateException, java.rmi.RemoteException, javax.naming.NamingException, javax.ejb.FinderException {
    iRequestProperties = aRequestProperties;

	if (getMemberId() == null) {
		setMemberId(aRequestProperties.getString(com.ibm.commerce.server.ECConstants.EC_MEMBER_ID, null));
	}

	if (getTradingId() == null) {
		setTradingId(aRequestProperties.getString(com.ibm.commerce.server.ECConstants.EC_CONTRACT_ID, null));
	}
		

}
public void setTradingId(String aTradingId) {
	iTradingId = aTradingId;
	setInitKey_tradingId(aTradingId);
}
}
