package com.mycompany.award;

//********************************************************************
//*-------------------------------------------------------------------
//* Sample Source
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2002
//*
//* The source code for this program is not published or otherwise
//* divested of its trade secrets, irrespective of what has been
//* deposited with the US Copyright Office.
//*
//*--------------------------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its reliability, 
//* serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands and products 
//* in order to illustrate concepts as completely as possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by actual persons 
//* or business enterprises is entirely coincidental.
//*--------------------------------------------------------------------------------------

import java.util.*;
import com.ibm.commerce.payment.commands.*;
import com.ibm.commerce.ras.*;
import com.ibm.commerce.server.*;
import com.ibm.commerce.command.*;
import com.ibm.commerce.exception.*;

import com.ibm.commerce.order.objects.*;

import com.ibm.commerce.copyright.IBMCopyright;
/**
 * The <code>CheckPaymentAcceptAwardPolicyCmd</code> implementation class for the TestPaymentMethod 
 * policy.  This sample implementation class always returns the return code String that 
 * indicates the payment approval status of "YES" (PaymentConstants.APPROVAL_YES).
 */
public class CheckPaymentAcceptAwardCmdImpl extends BusinessPolicyCommandImpl 
	implements CheckPaymentAcceptPolicyCmd 
{
	private final static String COPYRIGHT = IBMCopyright.SHORT_COPYRIGHT;
	private final static String CLASSNAME = "com.mycompany.award.CheckPaymentAcceptAwardCmdImpl";

	private OrderAccessBean iabOrder                = null;

	/**
	 * CheckPaymentAcceptTestCmdImpl constructor comment.
	 */
	public CheckPaymentAcceptAwardCmdImpl() {
		super();
	}
	protected OrderAccessBean getOrder () 
	{
		return iabOrder;
	}
	/**
	 * Returns the String return code indicating the approval status of the payment for the specified
	 * order.  This sample implementation always returns
	 * the constant Sting PaymentConstants.APPROVAL_YES indicating the payment approval status of the 
	 * order is still valid.
	 *
	 * @return String the String return code indicating the payment approval status.
	 */
	public String getReturnCode() 
	{
		return PaymentConstants.APPROVAL_YES;
	}
	/**
	 * Performs the main business logic of the command.
	 * For the PayWithAward policy this command always returns the return code String
	 * that indicate a payment approval status of "YES".
	 */
	public void performExecute() throws com.ibm.commerce.exception.ECException 
	{
		final String methodName = "performExecute";
		ECTrace.entry( ECTraceIdentifiers.COMPONENT_ORDER, CLASSNAME, methodName );
	
		ECTrace.trace( ECTraceIdentifiers.COMPONENT_ORDER, CLASSNAME, methodName,
			"Always return true in the sample." );
	
		// The proper return code String is returned by the getReturnCode() method.
			
		ECTrace.exit( ECTraceIdentifiers.COMPONENT_ORDER, CLASSNAME, methodName );
	}
	/**
	 * setApproveAmount method comment.
	 */
	public void setApproveAmount(java.math.BigDecimal approveAmount) {}
		/**
		 * Optional error view name passed in by the Caller.
		 */
	public void setErrorViewName(String sEVN) {}
	/**
	 * The order to be processed.
	 */
	public void setOrder(OrderAccessBean abOrder) 
	{
		iabOrder = abOrder;
	}
}
